package com.sqx.modules.errand.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sqx.common.utils.Result;
import com.sqx.modules.errand.entity.ShopIllegalType;

public interface ShopIllegalTypeService extends IService<ShopIllegalType> {

    Result selectIllegalTypeList();

    Result selectIllegalTypePage(Integer page, Integer limit);

    Result insertIllegalType(ShopIllegalType illegalType);

    Result updateIllegalType(ShopIllegalType illegalType);

    Result deleteIllegalType(Long id);

}
